var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\">\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n\
      <meta name=\"product\" content=\"MAYAUL\">\n\
      <meta name=\"release\" content=\"2018\">\n\
      <meta name=\"book\" content=\"Developer\">\n\
      <meta name=\"created\" content=\"2017-07-12\">\n\
      <meta name=\"topicid\" content=\"GUID-FE0662C0-4F1A-46BE-9828-76656C2BD2E2\">\n\
      <meta name=\"topic-type\" content=\"concept\">\n\
      <title>Python 構文に関するヒント</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script></script><script></script><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-FE0662C0-4F1A-46BE-9828-76656C2BD2E2\"></a><div class=\"head\">\n\
            <h1>Python 構文に関するヒント</h1>\n\
         </div>\n\
         <p><a name=\"GUID-7AF27844-B298-45F3-94D9-D4A5F351D456\"></a>Python プログラミングの初心者ユーザ向けに、この学習パスで使用される Python コードの構文をすばやく理解するためのいくつかの基本的なヒントをここに示します。詳細な説明が必要な場合は、<a href=\"http://docs.python.org/tutorial/introduction.html\" target=\"_blank\">The Informal Introduction to Python (英語)</a>を参照してください。 \n\
         </p>\n\
         <div class=\"section\"><a name=\"SECTION_86394F2EA2A34E0087A1CC8A56E3ED76\"></a> \n\
            <h2><a name=\"GUID-43A0CEE6-21B5-4945-98A4-0FFBDE8A857A\"></a>コメント\n\
            </h2> \n\
            <p><a name=\"GUID-037D74A1-512C-4A68-9428-C987AD6FEEBF\"></a>1 行のコメントは、シャープ記号(<span class=\"code\" translate=\"no\">#</span>)から始まり、改行文字で終了します。複数行のコメントは、3 つの一重引用符(または二重引用符)で囲みます。 \n\
            </p> \n\
            <div class=\"codeBlock\"><pre class=\"prettyprint\">someVariable = 4 # This assigns 4 to someVariable.\n\
\n\
\'\'\' There are multiple lines \n\
in this comment. \'\'\'\n\
\n\
\"\"\" \n\
Another\n\
multiple\n\
line\n\
comment. \n\
\"\"\" </pre></div> \n\
            <div><a name=\"GUID-88FDF5C3-55F5-4FBA-859F-76EF84B44DC0\"></a><div class=\"note-note\"><span class=\"label label-target-language\">注:</span>3 つの一重引用符(または二重引用符)は、改行または通常の引用符が含まれる文字列を作成するためにも使用することができます。 \n\
               </div>\n\
            </div> \n\
         </div>\n\
         <div class=\"section\"><a name=\"SECTION_46E3ABBE3AAA42B4967B83DDCDC4ADA3\"></a> \n\
            <h2><a name=\"GUID-645A7840-1F31-49B8-B905-ECBD977D6679\"></a>文字列\n\
            </h2> \n\
            <p><a name=\"GUID-169CE961-D083-45C5-9D75-57CA1BDAD220\"></a>文字列は、一重引用符または二重引用符のペアで囲むように記入することができ、「<span class=\"code\" translate=\"no\">+</span>」オペレータを使用して連結できます。 <span class=\"code\" translate=\"no\">str()</span> 関数は、入力した文字を文字列表現に変換することを試みます。 \n\
            </p> \n\
            <div class=\"codeBlock\"><pre class=\"prettyprint\">myString1 = \'some\' + \' string\'\n\
myString2 = \"another \" + \"string\"\n\
\n\
print \'four: \' + str(4) \n\
# \'four: 4\'</pre></div> \n\
         </div>\n\
         <div class=\"section\"><a name=\"SECTION_F979EDFF91E24666A5B570F36C81C249\"></a> \n\
            <h2><a name=\"GUID-75467F5B-319D-4BDF-9D8E-FE0DACAC737B\"></a>リスト\n\
            </h2> \n\
            <p><a name=\"GUID-2C3F16D2-7147-493E-B8C5-A3E256062740\"></a>リストは角括弧のペアで示され、ダイナミック配列と等価です。 リスト内の開始インデックスは <span class=\"code\" translate=\"no\">0</span> です。 リストに追加するには、<span class=\"code\" translate=\"no\">append()</span> 関数を使用します。 <span class=\"code\" translate=\"no\">Len()</span> 関数は、リストの長さを返します。 \n\
            </p> \n\
            <div class=\"codeBlock\"><pre class=\"prettyprint\">myList = []\n\
myList.append(\'apples\')\n\
myList.append(\'oranges\')\n\
\n\
print myList[1] \n\
# \'oranges\'\n\
\n\
print str( len( myList ) ) \n\
# \'2\'</pre></div> \n\
         </div>\n\
         <div class=\"section\"><a name=\"SECTION_C5018B09718C4B8B91D34C19266CE6BF\"></a> \n\
            <h2><a name=\"GUID-ABBDBF3B-8A07-4233-90D4-6AB57850D7CA\"></a>ディクショナリ\n\
            </h2> \n\
            <p><a name=\"GUID-F3CCD566-B4BD-4DB0-B1EC-4FAA5236682B\"></a>ディクショナリは中括弧のペアで示され、キー値のペアが含まれています(ここで、キーは文字列と同様に Hashable オブジェクト)。 \n\
            </p> \n\
            <div class=\"codeBlock\"><pre class=\"prettyprint\">myDictionary = {}\n\
myDictionary[\'myKey\'] = \'myValue\'\n\
myDictionary[\'myOtherKey\'] = 17\n\
\n\
print str( myDictionary[\'myOtherKey\'] ) \n\
# \'17\'\n\
\n\
print str( myDictionary ) \n\
# \'{\'myKey\': \'myValue\', \'myOtherKey\': 17}\'</pre></div> \n\
         </div>\n\
         <div class=\"section\"><a name=\"SECTION_61AA23AD02A844CE8F51F1CDEF435E85\"></a> \n\
            <h2><a name=\"GUID-46A5CE1E-C16D-4DB7-9830-438D66345DE9\"></a>タプル\n\
            </h2> \n\
            <p><a name=\"GUID-EEF91969-B955-4D13-A282-F66CDE4C9169\"></a>タプルは固定シーケンスで、括弧のペアによって表されます。タプル内の要素は、そのインデックスに応じて参照されます。タプルの先頭要素のインデックスは、ゼロ <span class=\"code\" translate=\"no\">[0]</span> になります。 \n\
            </p> \n\
            <div class=\"codeBlock\"><pre class=\"prettyprint\">myTuple = (\'pants\', \'shirt\', 1987)\n\
\n\
print str( myTuple[1] )\n\
# \'shirt\'\n\
\n\
print str( myTuple )\n\
# (\'pants\', \'shirt\', 1987)\n\
</pre></div> \n\
         </div>\n\
         <div class=\"section\"><a name=\"SECTION_81D5EDB894554FB78F3FA1A5A1A8C501\"></a> \n\
            <h2><a name=\"GUID-529EF19F-F6D6-423A-A136-F47D6D128921\"></a>セット(Sets)\n\
            </h2> \n\
            <p><a name=\"GUID-159FA65F-B4BB-4766-9B51-727B071C0B11\"></a>セットは一意の(hashable)オブジェクトの不規則なコレクションです。セットは中括弧で示されます。 \n\
            </p> \n\
            <div class=\"codeBlock\"><pre class=\"prettyprint\">mySet = {\"cat\", \"dog\", \"lizard\", \"emu\"}\n\
\n\
# Print set.\n\
print(mySet)\n\
# set([\'emu\', \'lizard\', \'dog\', \'cat\'])\n\
\n\
print(len(mySet))\n\
# 4\n\
\n\
# Use in-keyword.\n\
if \"lizard\" in mySet:\n\
    print(\"Lizard exists\")\n\
# Lizard exists\n\
</pre></div> \n\
         </div>\n\
         <div class=\"section\"><a name=\"SECTION_7AFEAEF94F954490955FF3B77D0AD021\"></a> \n\
            <h2><a name=\"GUID-28C73675-B99E-43A8-BF1C-717BD550454C\"></a>クラス、関数、およびインデント\n\
            </h2> \n\
            <p><a name=\"GUID-F48DE78D-318C-4213-8AED-B366796E8D77\"></a>クラスや関数、あるいは If/Else 条件やループなどのステートメント本体を識別するために、一貫したインデントを使用してください。下記のサンプル コードでは、4\n\
               つのスペース(\' \')文字によって 1 つのインデントのレベルを示しています。 クラスはキーワード \'<span class=\"code\" translate=\"no\">class</span>\' を使用して宣言され、メソッドおよびグローバル関数はキーワード \'<span class=\"code\" translate=\"no\">def</span>\' を使用して宣言されます。クラス メソッドの最初のパラメータ(通常、\'<span class=\"code\" translate=\"no\">self</span>\' という名前)は現在のインスタンスを参照することに注意してください。 \n\
            </p> \n\
            <div class=\"codeBlock\"><pre class=\"prettyprint\">class myClass:\n\
    \n\
    def __init__(self):\n\
        \'\'\' \n\
        __init__ identifies the class constructor. \n\
        \'\'\'\n\
        pass # The \'pass\' keyword indicates that we do nothing.\n\
\n\
    def doIt(self, myParameter):\n\
        \'\'\'\n\
        This is a method which we have defined as having one\n\
        parameter whose name is myParameter.\n\
        \'\'\'\n\
        for i in range(0, 9): # This will loop 10 times.\n\
            if (i == 0):\n\
                # Print \'Hello World!\' on the first iteration\n\
                print \'Hello World!\'\n\
            else:\n\
                # Print a string representation of myParameter the rest of the time.\n\
                print str( myParameter )\n\
\n\
# This code will be executed once the myClass definition is read.\n\
myClassInstance = myClass()\n\
myClassInstance.doIt( \'some string\' )</pre></div> \n\
         </div>\n\
         <div class=\"section\"><a name=\"SECTION_558319BC35EB48E9BF6967213FDFB8B5\"></a> \n\
            <h2><a name=\"GUID-2CCBCB01-A247-45AA-A183-17642413CCA5\"></a>例外処理\n\
            </h2> \n\
            <p><a name=\"GUID-99D3CE71-FEA3-43E1-9590-EBC99382E5B9\"></a>従来の try/catch/finally 例外処理は、\'<span class=\"code\" translate=\"no\">try</span>\' および \'<span class=\"code\" translate=\"no\">except</span>\' キーワード シーケンスを使用して実行されます。\'<span class=\"code\" translate=\"no\">else</span>\' および \'<span class=\"code\" translate=\"no\">finally</span>\' キーワードは任意で使用できます。キーワード \'<span class=\"code\" translate=\"no\">else</span>\' に続くコードは、キーワード \'<span class=\"code\" translate=\"no\">try</span>\' に続くコードが例外なく実行された場合に実行されます。 キーワード \'<span class=\"code\" translate=\"no\">finally</span>\' に続くコードは、例外の発生にかかわらず実行されます。キーワード \'<span class=\"code\" translate=\"no\">raise</span>\'を使用して、独自の例外を発生させることができます。 \n\
            </p> \n\
            <div class=\"codeBlock\"><pre class=\"prettyprint\"># This code sample can be found at: http://docs.python.org/tutorial/errors.html\n\
def divide(x, y):\n\
    try:\n\
        result = x / y\n\
    except ZeroDivisionError:\n\
        print \"division by zero!\"\n\
    else:\n\
        print \"result is\" + result\n\
    finally:\n\
        print \"executing finally clause\"</pre></div> \n\
         </div>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">このトピックについてのコメントをお送りください</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\"></a>&nbsp;<em>特に明記されている場合以外は、この作業は、<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\">Creative Commons 表示 - 非営利 - 継承 3.0 非移植ライセンス</a> のもと認可を受けています。 <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> (英語版) を参照してください。</em></p><br></div>\n\
   </div></body>\n\
</html>";